package com.ruoyi.invest.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 跟进记录对象 t_project_record
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
@ApiModel("跟进记录对象")
public class TProjectRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    private String id;

    /** 项目ID */
    @ApiModelProperty("项目ID")
    @Excel(name = "项目名称")
    private String projectId;

    /** 联系人 */
    @ApiModelProperty("联系人")
    @Excel(name = "联系人")
    private String contacts;

    /** 实际跟进日期 */
    @ApiModelProperty("实际跟进日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际跟进日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realityUpDate;

    /** 跟进人 */
    @ApiModelProperty("跟进人")
    @Excel(name = "跟进人")
    private String upPerson;

    /** 跟进方式 */
    @ApiModelProperty("跟进方式")
    @Excel(name = "跟进方式")
    private String upWay;

    /** 跟进内容 */
    @ApiModelProperty("跟进内容")
    @Excel(name = "跟进内容",warpText = true)
    private String upContent;

    /** 备注 */
    @ApiModelProperty("备注")
    private String mark;

    /** 状态 */
    @ApiModelProperty("状态")
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 项目池信息
     */
    private TProjectPool tProjectPool;

    /**
     * 项目名称【查询条件】
     */
    private String projectName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setRealityUpDate(Date realityUpDate) 
    {
        this.realityUpDate = realityUpDate;
    }

    public Date getRealityUpDate() 
    {
        return realityUpDate;
    }
    public void setUpPerson(String upPerson) 
    {
        this.upPerson = upPerson;
    }

    public String getUpPerson() 
    {
        return upPerson;
    }
    public void setUpWay(String upWay) 
    {
        this.upWay = upWay;
    }

    public String getUpWay() 
    {
        return upWay;
    }
    public void setUpContent(String upContent) 
    {
        this.upContent = upContent;
    }

    public String getUpContent() 
    {
        return upContent;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public TProjectPool gettProjectPool() {
        return tProjectPool;
    }

    public void settProjectPool(TProjectPool tProjectPool) {
        this.tProjectPool = tProjectPool;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("contacts", getContacts())
            .append("realityUpDate", getRealityUpDate())
            .append("upPerson", getUpPerson())
            .append("upWay", getUpWay())
            .append("upContent", getUpContent())
            .append("mark", getMark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
